post
https://api.lucid.co/teams
Creates a new team for the authenticated user, populated with the given team members. Hidden teams can not be created via the REST API.
Whether the requesting user is automatically added to the team depends on whether the request was made using user or admin permissions.
- User: user is automatically added to the team
- Must request with a user grant/scope and either omit the header
Lucid-Request-Asor contain the valueuser.- Admin: user is not automatically added to the team
- Must request with an admin grant/scope and contain the header
Lucid-Request-Aswith valueadmin.
Valid Authentication Methods
API Key Grants:
- TeamsEdit
- TeamsAdmin
OAuth 2.0 User Token Scopes:
- teams
- teams:admin
400Bad Request. Occurs if the name in the request body is empty or exceeds the maximum allowed length.
403Forbidden. Occurs if the user making the request does not have permission to create teams.
409Conflict. Occurs if a team already exists with an identical name.